Bug 466 - comprehensive evaluation and planning for 3D MESA driver
Summary: comprehensive evaluation and planning for 3D MESA driver
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC's first SoC
Classification: Unclassified
Component: Source Code (show other bugs)
Version: unspecified
Hardware: Other Linux
: --- enhancement
Assignee: Luke Kenneth Casson Leighton
URL:
Depends on:
Blocks: 251
  Show dependency treegraph
 
Reported: 2020-08-18 14:22 BST by Luke Kenneth Casson Leighton
Modified: 2020-12-01 21:14 GMT (History)
3 users (show)

See Also:
NLnet milestone: NLNet.2019.Vulkan
total budget (EUR) for completion of task and all subtasks: 500
budget (EUR) for this task, excluding subtasks' budget: 500
parent task for budget allocation: 251
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:
"jacob" = 200 "vivek" = 300


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kenneth Casson Leighton 2020-08-18 14:22:42 BST
although the discussion took place on bug #251 a proper analysis and planning approach is needed for the 3D MESA Driver
Comment 1 Luke Kenneth Casson Leighton 2020-08-18 14:24:28 BST
EUR 300 vivek
EUR 200 jacob
Comment 2 Luke Kenneth Casson Leighton 2020-08-21 18:47:03 BST
vivek we need a page for you in order to track this,
https://libre-soc.org/about_us/

cookie-cut one of the other pages (jacob, lkcl) and we can get you set up
with an RFP.
Comment 3 vivekvpandya 2020-08-30 08:37:17 BST
(In reply to Luke Kenneth Casson Leighton from comment #2)
> vivek we need a page for you in order to track this,
> https://libre-soc.org/about_us/
> 
> cookie-cut one of the other pages (jacob, lkcl) and we can get you set up
> with an RFP.

Is this absolutely required?
I don't see similar page for whitequark. So if there is alternative way please let me know.
Comment 4 Luke Kenneth Casson Leighton 2020-08-30 10:41:46 BST
(In reply to vivekvpandya from comment #3)
> (In reply to Luke Kenneth Casson Leighton from comment #2)
> > vivek we need a page for you in order to track this,
> > https://libre-soc.org/about_us/
> > 
> > cookie-cut one of the other pages (jacob, lkcl) and we can get you set up
> > with an RFP.
> 
> Is this absolutely required?

it has been "a way that works", we haven't a better one yet.

i replied privately with a more detailed explanation, which summarises
as "tracking 100-200 tasks with payment statuses is not possible to do
in your - or my - head".

> I don't see similar page for whitequark. So if there is alternative way
> please let me know.

we haven't come up with one yet, any suggestions appreciated.
Comment 5 Jacob Lifshay 2020-08-30 17:29:40 BST
Fixed improper TOML (comma not allowed at end of line unless contained in {} or []).

Also, we should try to consistently use the same identifier for the each person (though I could add a list of aliases for each person).
Comment 6 Luke Kenneth Casson Leighton 2020-08-30 18:32:40 BST
(In reply to Jacob Lifshay from comment #5)
> Fixed improper TOML (comma not allowed at end of line unless contained in {}
> or []).

thanks

> Also, we should try to consistently use the same identifier for the each
> person (though I could add a list of aliases for each person).

yes please.